<template>
     <v-card
     v-if="location != null"
    class="mx-auto my-12"
  >
    <v-card-title><h1>{{location.name}}</h1></v-card-title>

    <v-card-text>
     <div class="my-4 text-subtitle-1">
        Type : {{location.type}}
      </div>

      <div>Dimension : <v-chip>{{location.dimension}}</v-chip></div>

       <div>Created at  : {{getCreatedAt}}</div>
    </v-card-text>

    <v-divider class="mx-4"></v-divider>

    <v-card-title>Residents</v-card-title>

    <v-card-text>
      <v-chip-group 
        active-class="deep-purple accent-4 white--text"
        
      >
        <v-chip v-for="resident in location.residents" :key="resident" @click="openResident(resident)">
            {{getResidentId(resident)}}
        </v-chip>
      </v-chip-group>
    </v-card-text>

    <v-card-actions>
    </v-card-actions>
  </v-card>
</template>
<script>
import moment from 'moment'
export default {
  components: { },
    name:"location",
    mounted(){
        this.loadlocation(this.$route.query.id);
    },
    data: () => ({
        location: null,
    }),
    methods: {
        async loadlocation(id){
            this.location = await this.$axios.$get('https://rickandmortyapi.com/api/location/' + id);
        },
        getResidentId(resident){
            return resident.replace("https://rickandmortyapi.com/api/character/", "");
        },
        openResident(resident){
            this.$router.push({name: 'characters',query: { id: resident.replace("https://rickandmortyapi.com/api/character/", "") },});
        }
    },
    computed:{
        getCreatedAt(){
            return moment(this.location.created).format("DD/MM/yyyy");
        }
    }
}
</script>
<style>
</style>